Read a shared receipt's visual evidence
GET
Returns the delivered change in pictures (before/after captures with short-lived media URLs) for a shared run. A revoked or unknown link returns 404. A shared run with nothing to show returns 200 with missing_reason explaining why.
token*stringRequest fulfilled, document follows
application/json- response
criteria*array<>missing_reason?string|nullpages*array<>ui_fix?|nullcurl -X GET 'https://api.syndai.ai/api/v1/public/receipts/string/evidence'Example Response
{ "criteria": [ { "before_card": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "card": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "criterion_id": "6db767e6-e3f2-4d12-9a38-144511689188", "flow": { "before": {}, "clip": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "duration_ms": 0, "failed_step": 0, "failure": "string", "poster": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "received": "string", "status": "string", "steps": [ { "index": 0, "status": "string", "still": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "title": "string" } ] }, "flow_missing": true, "label": "string", "replay": "string", "surface": "string", "text": "string" } ], "missing_reason": "string", "pages": [ { "before_desktop": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "before_phone": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "change": "string", "desktop": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "phone": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "route": "string" } ], "ui_fix": { "after": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 }, "before": { "alt": "string", "height": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "truncated": true, "url": "string", "url_expires_at": "2019-08-24T14:15:22Z", "width": 0 } }}